<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/smileys/class/view/pluginsmileysconfigview.class.php" );		

	/**
	 * shows a form with the current configuration
	 */
	class PluginSmileysConfigAction extends AdminAction
	{
		
		function PluginSmileysConfigAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
			
			$this->requirePermission( "manage_plugins" );
		}
		
		function perform()
		{
            $this->_view = new PluginSmileysConfigView( $this->_blogInfo );
			
			$this->setCommonData();
			
			return true;
		}
	}
?>